<?php
//add admin menu
add_event_handler('get_admin_plugin_menu_links', 'antiaspi_admi_menu');

function antiaspi_admi_menu($menu) {
    load_language('plugin.lang', ANTIASPI_PATH);
    $menu[] = array(
        'NAME' => l10n('AntiAspi'),
        'URL' => ANTIASPI_ADMIN,
    );
     return $menu;
} 
 
function antiaspi_check_old_conf()
{
  global $page;

  $conf = array();

  $local_conf_filpath = PHPWG_ROOT_PATH. 'local/config/config.inc.php';
  if (file_exists($local_conf_filpath))
  {
    @include($local_conf_filpath);
  }

  if (isset($conf['antiaspi']))
  {
    $page['errors'][] = 'we have found some antiaspi settings in your local configuration, please remove it, no longer in use.';
  }
}